cubrid_lob_get
cubrid_lob_size
CUBRID Functions
PHP Manual

# cubrid_lob_send

Read BLOB/CLOB data and send straight to browser

### Description

bool cubrid_lob_send ( resource `$conn_identifier` , resource `$lob_identifier` )

cubrid_lob_send reads BLOB/CLOB data and passes it straight through to the browser. To use this function, you must use cubrid_lob_get first to get BLOB/CLOB info from CUBRID.

### Parameters

`conn_identifier`

  Connection identifier.

`lob_identifier`

  LOB identifier.

### Return Values

`TRUE`, when process is successful.

`FALSE`, when process is unsuccessful.

### Examples

Example #1 cubrid_lob_send example

`<?php
$conn = cubrid_connect ("localhost", 33000, "demodb", "dba");
cubrid_execute($conn,"DROP TABLE if exists doc");
cubrid_execute($conn,"CREATE TABLE doc (id INT, doc_content CLOB)");
cubrid_execute($conn,"INSERT INTO doc VALUES (5,'hello,cubrid')");
$lobs = cubrid_lob_get($conn, "SELECT doc_content FROM doc WHERE id=5");
cubrid_lob_send($conn, $lobs[0]);
cubrid_lob_close($lobs);
cubrid_disconnect($conn);
?>`

### See Also

- cubrid_lob_get
- cubrid_lob_close
- cubrid_lob_size
- cubrid_lob_export